set size 0.35,0.40
set style data lines
set term pslatex color norotate
unset key

set lmargin 3
set rmargin 1
set bmargin 1
set tmargin 1

set pointsize 0.4

ox=0; oy=-0.1
unset xtics
unset title

set out 'Src_1a.tex'
xmin = 1    ; xmax = 13283
set xra [xmin:xmax]
ymin = 0.0  ; ymax =  0.01
set yra [ymin:ymax]
set ytics 0,ymax
set title '$N=31$, $L=1$' offset graph ox,oy
plot 'Data/chiL2_N=31_N1=15_L=1' w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=1' w p pt 7 ps 0.75 lc rgb "blue"

set out 'Src_1a.tex'
xmin = 1    ; xmax = 13283
set xra [xmin:xmax]
ymin = 0.0  ; ymax =  0.01
set yra [ymin:ymax]
set ytics 0,ymax
set label 1 '$\chi_2$' at xmin-0.1*(xmax-xmin),ymin+0.7*(ymax-ymin)
set title '$N=31$, $r=15$, $L=1$' offset graph ox,oy
plot 'Data/chiL2_N=31_N1=15_L=1' w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=1' w p pt 7 ps 0.75 lc rgb "blue"
unset label 1

set out 'Src_1b.tex'
xmin = 1    ; xmax = 14002
set xra [xmin:xmax]
ymin = 0.0  ; ymax =  0.4
set yra [ymin:ymax]
set ytics 0,ymax
set label 1 '$\chi_2$' at xmin-0.1*(xmax-xmin),ymin+0.7*(ymax-ymin)
set title '$N=31$, $r=15$, $L=3$' offset graph ox,oy
plot 'Data/chiL2_N=31_N1=15_L=3' w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=3' w p pt 7 ps 0.75 lc rgb "blue"
unset label 1

set out 'Src_1c.tex'
xmin = 1    ; xmax = 10656
set xra [xmin:xmax]
ymin = 0.0  ; ymax =  0.8
set yra [ymin:ymax]
set ytics 0,ymax
set label 1 '$\chi_2$' at xmin-0.1*(xmax-xmin),ymin+0.7*(ymax-ymin)
set xlabel 'Sequential number of ${\tt x}$'
set title '$N=31$, $r=15$, $L=5$' offset graph ox,oy
plot 'Data/chiL2_N=31_N1=15_L=5' w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=5' w p pt 7 ps 0.75 lc rgb "blue"
unset label 1
unset xlabel

unset ytics

set out 'Src_1d.tex'
xmin = 1    ; xmax = 12226
set xra [xmin:xmax]
ymin = 0.0  ; ymax =  0.01
set yra [ymin:ymax]
set title '$N=33$, $r=16$, $L=1$' offset graph ox,oy
plot 'Data/chiL2_N=33_N1=16_L=1' w p pt 7 ,\
     'Data/zerL2_N=33_N1=16_L=1' w p pt 7 ps 0.75 lc rgb "blue"

set out 'Src_1e.tex'
xmin = 1    ; xmax = 14534
set xra [xmin:xmax]
ymin = 0.0  ; ymax =  0.4
set yra [ymin:ymax]
set title '$N=33$, $r=16$, $L=3$' offset graph ox,oy
plot 'Data/chiL2_N=33_N1=16_L=3' w p pt 7 ,\
     'Data/zerL2_N=33_N1=16_L=3' w p pt 7 ps 0.75 lc rgb "blue"

set out 'Src_1f.tex'
xmin = 1    ; xmax = 11047
set xra [xmin:xmax]
ymin = 0.0  ; ymax =  0.8
set yra [ymin:ymax]
set xlabel 'Sequential number of ${\tt x}$'
set title '$N=33$, $r=16$, $L=5$' offset graph ox,oy
plot 'Data/chiL2_N=33_N1=16_L=5' w p pt 7 ,\
     'Data/zerL2_N=33_N1=16_L=5' w p pt 7 ps 0.75 lc rgb "blue"
unset xlabel

exit
