set size 0.45,0.35
set style data linespoints
set term pslatex color norotate

unset key

set lmargin 3
set rmargin 1
set bmargin 1
set tmargin 1

set pointsize 0.3

set log y; set log y2

ymin_a = 1e-5; ymax_a = 1.0
ymin_b = 5e-3; ymax_b = 0.512
ymin_c = 0.05; ymax_c = 0.5
ymin_d = 0.12; ymax_d = 0.6
ymin_e = 0.25; ymax_e = 0.7

l2 = '$\langle \kappa(L) \rangle$'
l3 = 'Popcount, $r$'

#
# N=31
#
x1=13; x2=1.5; x3=7.5
xmin = 1; xmax =  16;
set xra [xmin:xmax]

set xtics  (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16) out nomirror
set x2tics (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16) in
ymin = ymin_a; ymax = ymax_a; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics   ('$10^{-5}$' 1e-5, '$10^{-4}$' 1e-4, '$10^{-3}$' 1e-3, '$10^{-2}$' 1e-2, '$10^{-1}$' 1e-1, '$1$' 1) in nomirror
set y2tics  (''          1e-5, ''          1e-4, ''          1e-3, ''          1e-2, ''          1e-1, ''    1) out
set label 1 '$L=1$' at x1, ymin*(ymax/ymin)**0.8
set label 2 l2      at x2, ymin*(ymax/ymin)**0.5
set out 'Src_4aa.tex'
plot 'Data/cs_N=31_L=1' w errorbars                  ,\
     'Data/cs_N=31_L=1' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=31_L=1' w l lt 1      lc rgb "blue" 

set x2tics (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16, ''17) out
ymin = ymin_b; ymax = ymax_b; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('$0.008$' 0.008, '$0.032$' 0.032, '$0.128$' 0.128, '$0.512$' 0.512) in nomirror 
set y2tics ('       ' 0.008, '       ' 0.032, '       ' 0.128, '       ' 0.512) out
set label 1 '$L=2$' at x1, ymin*(ymax/ymin)**0.8
set label 2 l2      at x2, ymin*(ymax/ymin)**0.5
set out 'Src_4ab.tex'
plot 'Data/cs_N=31_L=2' w errorbars                  ,\
     'Data/cs_N=31_L=2' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=31_L=2' w l lt 1      lc rgb "blue" 

ymin = ymin_c; ymax = ymax_c; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('$0.05$' 0.05, '$0.1$' 0.1, '$0.2$' 0.2, '$0.4$' 0.4) out nomirror
set y2tics (''       0.05, ''      0.1, ''       0.2, ''      0.4) out
set label 1 '$L=3$' at x1, ymin*(ymax/ymin)**0.8
set label 2 l2      at x2, ymin*(ymax/ymin)**0.5
set out 'Src_4ac.tex'
plot 'Data/cs_N=31_L=3' w errorbars                  ,\
     'Data/cs_N=31_L=3' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=31_L=3' w l lt 1      lc rgb "blue" 

ymin = ymin_d; ymax = ymax_d; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('$0.15$' 0.15, '$0.3$' 0.3, '$0.6$' 0.6) in nomirror
set y2tics ('      ' 0.15, '     ' 0.3, '     ' 0.6) out
set label 1 '$L=4$' at x1, ymin*(ymax/ymin)**0.8
set label 2 l2      at x2, ymin*(ymax/ymin)**0.5
set out 'Src_4ad.tex'
plot 'Data/cs_N=31_L=4' w errorbars                  ,\
     'Data/cs_N=31_L=4' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=31_L=4' w l lt 1      lc rgb "blue" 

ymin = ymin_e; ymax = ymax_e; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set xtics  (''1, '2'2, '3'3, '4'4, '5'5, '6'6, '7'7, '8'8, '9'9, '10'10, '11'11, '12'12, '13'13, '14'14, '15'15) in nomirror
set ytics  ('$0.25$' 0.25, '$0.4$' 0.4, '$0.64$' 0.64) in nomirror
set y2tics ('      ' 0.25, '     ' 0.4, '      ' 0.64) out
set label 1 '$L=5$' at x1, ymin*(ymax/ymin)**0.8
set label 2 l2      at x2, ymin*(ymax/ymin)**0.5
set label 3 l3      at x3, ymin*(ymax/ymin)**0.1
set out 'Src_4ae.tex'
plot 'Data/cs_N=31_L=5' w errorbars                  ,\
     'Data/cs_N=31_L=5' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=31_L=5' w l lt 1      lc rgb "blue" 

unset label 2
unset label 3


#
# N=33
#
x2=8; x3=8.5; x1=14; xmin = 1; xmax =  17; set xra [xmin:xmax]

set xtics  (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16, ''17) out nomirror
set x2tics (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16, ''17) in
ymin = ymin_a  ; ymax = ymax_a; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics   ('' 1e-5, '' 1e-4, '' 1e-3, '' 1e-2, '' 1e-1, '' 1) out nomirror
set y2tics  ('' 1e-5, '' 1e-4, '' 1e-3, '' 1e-2, '' 1e-1, '' 1) out
set label 1 '$L=1$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4ba.tex'
plot 'Data/cs_N=33_L=1' w errorbars                  ,\
     'Data/cs_N=33_L=1' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=33_L=1' w l lt 1      lc rgb "blue" 

set x2tics (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16, ''17) out
ymin = ymin_b; ymax = ymax_b; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('' 0.004, '' 0.008, '' 0.016, '' 0.032, '' 0.064, '' 0.128, '' 0.256, '' 0.512) out nomirror
set y2tics ('' 0.004, '' 0.008, '' 0.016, '' 0.032, '' 0.064, '' 0.128, '' 0.256, '' 0.512) out
set label 1 '$L=2$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4bb.tex'
plot 'Data/cs_N=33_L=2' w errorbars                  ,\
     'Data/cs_N=33_L=2' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=33_L=2' w l lt 1      lc rgb "blue" 

ymin = ymin_c; ymax = ymax_c; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('' 0.05, '' 0.1, '' 0.2, '' 0.4) out nomirror
set y2tics ('' 0.05, '' 0.1, '' 0.2, '' 0.4) out
set label 1 '$L=3$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4bc.tex'
plot 'Data/cs_N=33_L=3' w errorbars                  ,\
     'Data/cs_N=33_L=3' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=33_L=3' w l lt 1      lc rgb "blue" 

ymin = ymin_d; ymax = ymax_d; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('' 0.15, '' 0.3, '' 0.6) out nomirror
set y2tics ('' 0.15, '' 0.3, '' 0.6) out
set label 1 '$L=4$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4bd.tex'
plot 'Data/cs_N=33_L=4' w errorbars                  ,\
     'Data/cs_N=33_L=4' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=33_L=4' w l lt 1      lc rgb "blue" 

ymin = ymin_e; ymax = ymax_e; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set xtics (''1, '2'2, '3'3, '4'4, '5'5, '6'6, '7'7, '8'8, '9'9, '10'10, '11'11, '12'12, '13'13, '14'14, '15'15, '16'16) in nomirror
set ytics  ('' 0.25, '' 0.4, '' 0.64) out nomirror
set y2tics ('' 0.25, '' 0.4, '' 0.64) out
set label 1 '$L=5$' at x1, ymin*(ymax/ymin)**0.8
set label 3 l3      at x3, ymin*(ymax/ymin)**0.1
set out 'Src_4be.tex'
plot 'Data/cs_N=33_L=5' w errorbars                  ,\
     'Data/cs_N=33_L=5' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=33_L=5' w l lt 1      lc rgb "blue" 
unset label 3


#
# N=35
#
x2=9; x3=9.5; x1=15; xmin = 1; xmax = 18; set xra [xmin:xmax]

set xtics  (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16, ''17, ''18) out nomirror
set x2tics (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16, ''17, ''18) in
ymin = ymin_a; ymax = ymax_a; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('' 1e-5, '' 1e-4, '' 1e-3, '' 1e-2, '' 1e-1, '' 1) nomirror out
set y2tics ('' 1e-5, '' 1e-4, '' 1e-3, '' 1e-2, '' 1e-1, '' 1) in
set label 1 '$L=1$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4ca.tex'
plot 'Data/cs_N=35_L=1' w errorbars                  ,\
     'Data/cs_N=35_L=1' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=35_L=1' w l lt 1      lc rgb "blue" 

set x2tics (''1, ''2, ''3, ''4, ''5, ''6, ''7, ''8, ''9, ''10, ''11, ''12, ''13, ''14, ''15, ''16, ''17, ''18) out
ymin = ymin_b; ymax =  ymax_b; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('' 0.004, '' 0.008, '' 0.016, '' 0.032, '' 0.064, '' 0.128, '' 0.256, '' 0.512) out nomirror
set y2tics ('' 0.004, '' 0.008, '' 0.016, '' 0.032, '' 0.064, '' 0.128, '' 0.256, '' 0.512) in
set label 1 '$L=2$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4cb.tex'
plot 'Data/cs_N=35_L=2' w errorbars                  ,\
     'Data/cs_N=35_L=2' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=35_L=2' w l lt 1      lc rgb "blue" 

ymin = ymin_c; ymax = ymax_c; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('' 0.05, '' 0.1, '' 0.2, '' 0.4) out nomirror
set y2tics ('' 0.05, '' 0.1, '' 0.2, '' 0.4) in
set label 1 '$L=3$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4cc.tex'
plot 'Data/cs_N=35_L=3' w errorbars                  ,\
     'Data/cs_N=35_L=3' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=35_L=3' w l lt 1      lc rgb "blue" 

ymin = ymin_d; ymax = ymax_d; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set ytics  ('' 0.15, '' 0.3, '' 0.6) out nomirror
set y2tics ('' 0.15, '' 0.3, '' 0.6) in
set label 1 '$L=4$' at x1, ymin*(ymax/ymin)**0.8
set out 'Src_4cd.tex'
plot 'Data/cs_N=35_L=4' w errorbars                  ,\
     'Data/cs_N=35_L=4' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=35_L=4' w l lt 1      lc rgb "blue" 

ymin = ymin_e; ymax = ymax_e; set yra [ymin:ymax]; set y2ra [ymin:ymax]
set xtics (''1, '2'2, '3'3, '4'4, '5'5, '6'6, '7'7, '8'8, '9'9, '10'10, '11'11, '12'12, '13'13, '14'14, '15'15, '16'16, '17'17) in nomirror
set ytics  ('' 0.25, '' 0.4, '' 0.64) out nomirror
set y2tics ('' 0.25, '' 0.4, '' 0.64) in
set label 1 '$L=5$' at x1, ymin*(ymax/ymin)**0.8
set label 3 l3      at x3, ymin*(ymax/ymin)**0.1
set out 'Src_4ce.tex'
plot 'Data/cs_N=35_L=5' w errorbars                  ,\
     'Data/cs_N=35_L=5' w p pt 7 ps 1 lc rgb "red"   ,\
     'Data/cs_N=35_L=5' w l lt 1      lc rgb "blue" 


exit
