set size 0.45,0.35
set style data linespoints
set term pslatex color norotate

unset key

set lmargin 3
set rmargin 1
set bmargin 1
set tmargin 1

ps1=2.0;ps2=1.5;ps3=1.0

set log y; set log y2

ymin=0.0001; ymax = 1.0; set yra [ymin:ymax]

l2 = '$\langle \kappa(L) \rangle$'
l3 = 'Popcount, $r$'

set xtics 0,1
set label 1 '$P(\epsilon;1)$' at 2.2, 0.3

#
# N=31
#
xmin = 2; xmax = 15; set xra [xmin:xmax]
set ytics  ('$10^{-4}$'1e-4, '$10^{-3}$'1e-3, '$10^{-2}$'1e-2, '$10^{-1}$'1e-1, '$1$' 1) in nomirror 
set y2tics ('         '1e-4, '         '1e-3, '         '1e-2, '         '1e-1, '   ' 1) out
set label 2 'Popcout, $r$' at 8, 3e-4
set out 'Src_5a.tex'
plot 'Data/nf_N=31_L=1' u 1:2 w lp pt 7 ps ps1 lt 1 lc rgb "red" t '$\epsilon=0$'      ,\
     'Data/nf_N=31_L=1' u 1:3 w lp pt 9 ps ps2 lt 1 lc rgb "green"   t '$\epsilon=0.0001$' ,\
     'Data/nf_N=31_L=1' u 1:4 w lp pt 5 ps ps3 lt 1 lc rgb "blue"  t '$\epsilon=0.001$'

#
# N=33
#
xmin = 2; xmax = 16; set xra [xmin:xmax]
set key at 16,1e-1
set xtics 0,1
set ytics  ('         '1e-4, '         '1e-3, '         '1e-2, '         '1e-1, '   ' 1) out
set y2tics ('         '1e-4, '         '1e-3, '         '1e-2, '         '1e-1, '   ' 1) out
set label 2 'Popcout, $r$' at 9, 3e-4
set out 'Src_5b.tex'
plot 'Data/nf_N=33_L=1' u 1:2 w lp pt 7 ps ps1 lt 1 lc rgb "red"    t '$\epsilon=0$'       ,\
     'Data/nf_N=33_L=1' u 1:3 w lp pt 9  ps ps2 lt 1 lc rgb "green" t '$\epsilon=10^{-4}$' ,\
     'Data/nf_N=33_L=1' u 1:4 w lp pt 5 ps ps3 lt 1 lc rgb "blue"   t '$\epsilon=10^{-3}$'
unset key

#
# N=35
#
xmin = 2; xmax = 17; set xra [xmin:xmax]

set xtics 0,1
set ytics  ('         '1e-4, '         '1e-3, '         '1e-2, '         '1e-1, '   ' 1) out
set y2tics ('         '1e-4, '         '1e-3, '         '1e-2, '         '1e-1, '   ' 1) in
set label 2 'Popcout, $r$' at 13, 3e-4
set out 'Src_5c.tex'
plot 'Data/nf_N=35_L=1' u 1:2 w lp pt 7 ps ps1 lt 1 lc rgb "red" t '$\epsilon=0$'      ,\
     'Data/nf_N=35_L=1' u 1:3 w lp pt 9  ps ps2 lt 1 lc rgb "black"   t '$\epsilon=0.0001$' ,\
     'Data/nf_N=35_L=1' u 1:4 w lp pt 5 ps ps3 lt 1 lc rgb "blue"  t '$\epsilon=0.001$'


exit