set size 0.30,0.40
set style data lines
set term pslatex color norotate
unset key

set lmargin 1
set rmargin 1
set bmargin 1
set tmargin 1

ymin = 0  ; ymax =  12.6
set yra [ymin:ymax]
set ytics 0,2 out nomirror offset 1,0; set mytics 2

set pointsize 0.4

ox=0; oy=-0.1
c1=0.82; c2=0.05
c3=0.02; c4=11.5

xmin = 0; xmax =  0.01;
set xra [xmin:xmax]
set xtics xmin, xmax-xmin
set label 1 '$\chi_2$' at xmin+c1*(xmax-xmin), ymin+c2*(ymax-ymin)
set label 2 '$d$'      at c3*xmax,c4
set title '$N=31$, $r=15$, $L=1$' offset graph ox,oy
set out 'Src_6a.tex'
plot 'Data/chiL2_N=31_N1=15_L=1' u 2:3 w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=1' u 2:3 w p pt 7 ps 0.75 lc rgb "blue"

xmin = 0; xmax =  0.01;
set xra [xmin:xmax]
set xtics xmin, xmax-xmin offset 0,0.5
set label 1 '$\chi_2$' at xmin+c1*(xmax-xmin), ymin+c2*(ymax-ymin)
set label 2 '$d$'      at c3*xmax,c4
set title '$N=31$, $r=15$, $L=1$' offset graph ox,oy
set out 'Src_6a.tex'
plot 'Data/chiL2_N=31_N1=15_L=1' u 2:3 w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=1' u 2:3 w p pt 7 ps 0.75 lc rgb "blue"

xmin = 0; xmax =  0.4;
set xra [xmin:xmax]
set xtics xmin, xmax-xmin
set label 1 '$\chi_2$' at xmin+c1*(xmax-xmin), ymin+c2*(ymax-ymin)
set label 2 '$d$'      at c3*xmax,c4
set title '$N=31$, $r=15$, $L=3$' offset graph ox,oy
set out 'Src_6b.tex'
plot 'Data/chiL2_N=31_N1=15_L=3' u 2:3 w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=3' u 2:3 w p pt 7 ps 0.75 lc rgb "blue"

xmin = 0; xmax =  0.8;
set xra [xmin:xmax]
set xtics xmin, xmax-xmin
set label 1 '$\chi_2$' at xmin+c1*(xmax-xmin), ymin+c2*(ymax-ymin)
set label 2 '$d$'      at c3*xmax,c4
set title '$N=31$, $r=15$, $L=5$' offset graph ox,oy
set out 'Src_6c.tex'
plot 'Data/chiL2_N=31_N1=15_L=5' u 2:3 w p pt 7 ,\
     'Data/zerL2_N=31_N1=15_L=5' u 2:3 w p pt 7 ps 0.75 lc rgb "blue"

unset ytics
set y2ra [ymin:ymax]
set y2tics 0,2 out nomirror offset -1,0
set my2tics 2

xmin = 0; xmax =  0.01;
set xra [xmin:xmax]
set xtics xmin, xmax-xmin
set label 1 '$\chi_2$' at xmin+c1*(xmax-xmin), ymin+c2*(ymax-ymin)
set label 2 '$d$'      at c3*xmax,c4
set label 3 '$(\times 2)$'    at c3*xmax,3
set title '$N=33$, $r=16$, $L=1$' offset graph ox,oy
set out 'Src_6d.tex'
plot 'Data/chiL2_N=33_N1=16_L=1' u 2:3 w p pt 7 ,\
     'Data/zerL2_N=33_N1=16_L=1' u 2:3 w p pt 7 ps 0.75 lc rgb "blue"
unset label 3

xmin = 0; xmax =  0.4;
set xra [xmin:xmax]
set xtics xmin, xmax-xmin
set label 1 '$\chi_2$' at xmin+c1*(xmax-xmin), ymin+c2*(ymax-ymin)
set label 2 '$d$'      at c3*xmax,c4
set title '$N=33$, $r=16$, $L=3$' offset graph ox,oy
set out 'Src_6e.tex'
plot 'Data/chiL2_N=33_N1=16_L=3' u 2:3 w p pt 7 ,\
     'Data/zerL2_N=33_N1=16_L=3' u 2:3 w p pt 7 ps 0.75 lc rgb "blue"

xmin = 0; xmax =  0.8;
set xra [xmin:xmax]
set xtics xmin, xmax-xmin
set label 1 '$\chi_2$' at xmin+c1*(xmax-xmin), ymin+c2*(ymax-ymin)
set label 2 '$d$'      at c3*xmax,c4
set title '$N=33$, $r=16$, $L=5$' offset graph ox,oy
set out 'Src_6f.tex'
plot 'Data/chiL2_N=33_N1=16_L=5' u 2:3 w p pt 7 ,\
     'Data/zerL2_N=33_N1=16_L=5' u 2:3 w p pt 7 ps 0.75 lc rgb "blue"

exit
